> ## Documentation Index
> Fetch the complete documentation index at: https://docs.instantrestapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of resources



## OpenAPI

````yaml GET /resources
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://instantrestapi.com/api/
security: []
paths:
  /resources:
    get:
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: array
                description: Array of resource objects
                items:
                  $ref: '#/components/schemas/body'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors'
      security:
        - api-key: []
components:
  schemas:
    body:
      type: object
      description: The full resource object with all its properties
      properties: {}
    errors:
      required:
        - error
        - message
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/error'
    error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key

````